Announcement

Collapse
No announcement yet.

[RC3.1 > 1.3.1.1] Comment doit on faire ?

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • [RC3.1 > 1.3.1.1] Comment doit on faire ?

    Salut,

    Je suis sous la RC3.1, et j'ai peferé attendre un peu pour attendre une version finale.

    J'ai regardé dans le fichier UPGRADE la procedure, mais il n'est pas spécifié ce qu'il faut faire dans mon cas, passage de la RC3.1 a la 1.3.1.1, mais cependant il est dit comment passer de la RC3.1 a la 1.3

    J'ai donc suivi cette procédure en pensant faire les mises a jour ensuite de la 1.3 => 1.3.1, puis continuer apres en faisant la 1.3.1 > 1.3.1-1 ! ouf

    Bref, pour l'instant je n'ai fais que la RC3.1 a la 1.3, dans l'upgrade j'ai utilisé le uprage 1.3.sql.

    Jusque la tout est ok.

    Mais lorsque je me log, sur la page d'accueil il est spécifié la version 1.3.1.1.

    Alors QUESTION.... :?: :?: Le numero de la version est en dur dans les page PHP ? ou dans la base sql.

    Parce que s'il est en dur, ca voudrait donc dire que je ne suis pas en 1.3.1.1, mais en 1.3

    Faut il que je continue alors la suite des mises a jour ?

    Merci.
    CentOS 6.4 64Bits - Centreon 2.4.5 - Centreon Engine 1.3.4 - NDO

  • #2
    Si c'est marqué 1.3.1-1 c'est que tu as les fichiers de cette version... donc si tu as fait la migration sql tout devrait etre bon... c'est bien en dur dans oreon...

    La 1.3.1-1 est une version corrigée de la 1.3.1 qui etait elle meme une version corrigée de la 1.3 (qui contenait un gros pb de configuration des dependances [que personne n'a vu au passage : Qui utilise les escalades et dépendances ? ])

    voila donc c bon nan ?
    Julien Mathis
    Centreon Project Leader
    www.merethis.com |

    Comment


    • #3
      Bien, le truc, c'est que pendant l'update, comme je le dit plus haut, j'ai selectionné le fichier upgrade1.3.sql (quelque chose dans ce style la) et non le upgrade1.3.1-1.sql.

      C'est pour ca que je me demande si c bon !

      Aurait il un moyen de verifer que je suis bien en 1.3.1-1 ? une table en plus dans la base par ex, quelque chose qui differencierai la 1.3 de la 1.3.1-1 ?

      CentOS 6.4 64Bits - Centreon 2.4.5 - Centreon Engine 1.3.4 - NDO

      Comment


      • #4
        oauis normalement c bon.. pour verifier as tu le champ graph_preferencies dans general_opt ?
        Julien Mathis
        Centreon Project Leader
        www.merethis.com |

        Comment


        • #5
          ha ba mince, je ne l'ai pas :lol:


          gopt_id nagios_path nagios_path_bin nagios_path_img nagios_path_plugins nagios_version snmp_community snmp_version snmp_trapd_used snmp_trapd_path_daemon snmp_trapd_path_conf mailer_path_bin rrdtool_path_bin rrdtool_version oreon_path oreon_web_path oreon_rrdbase_path oreon_refresh color_up color_down color_unreachable color_ok color_warning color_critical color_pending color_unknown session_expire perfparse_installed maxViewMonitoring maxViewConfiguration template ldap_host ldap_port ldap_base_dn ldap_login_attrib ldap_ssl ldap_auth_enable

          Bon ba fo que je fasse la suite alors.
          CentOS 6.4 64Bits - Centreon 2.4.5 - Centreon Engine 1.3.4 - NDO

          Comment


          • #6
            bien, comme les pages php sont celle de la 1.3.1-1, j'ai directement exectuer les requetes.

            D'abrod vers la 1.3.1

            J'ai eu un pb avec celui la.

            ALTER TABLE `general_opt` ADD `graph_preferencies` INT '0' AFTER `perfparse_installed` ;

            Il faut des () pour le 0

            ALTER TABLE `general_opt` ADD `graph_preferencies` INT(0) AFTER `perfparse_installed` ;

            Et ensuite vers la 1.3.1-1

            J'ai eu aussi un pb etant donnée que la ligne 1 existait deja.
            2 solutions, soit vous la supprimé et vous executez la requete, mais vous perdez vos preferences, soit vous l'editez et mettez la valeur pour graph dependencies a 0.

            :wink:
            CentOS 6.4 64Bits - Centreon 2.4.5 - Centreon Engine 1.3.4 - NDO

            Comment


            • #7
              si tu as deja la ligne c'est que tu as téléchargé sans regarder le site web !

              j'avais mis :

              Cette versoin est juste un correction de la 1.3.1 pour le script SQL d'install qui avait un problème d'insertion. Pas d'autres modication. Si vous venez d'une 1.3 vers la 1.3.1, vous n'avez pas ce problème. Le problème vient uniquement d'une install complète.
              si ca marche deja sans pb dans option generale c'est que tu n'as pas de pb... donc pas besoin d'upgrade et donc juste une mise a jour des fichiers suffit. Ensuite du supprime le rep install dans www pour etre tranquille
              Julien Mathis
              Centreon Project Leader
              www.merethis.com |

              Comment

              Working...
              X